Apply by doing:
	cd /usr/src
	patch -p0 < 005_in6.patch

Then build and install a new kernel.

Index: sys/netinet6/in6.c
===================================================================
RCS file: /cvs/src/sys/netinet6/in6.c,v
retrieving revision 1.98
retrieving revision 1.98.2.1
diff -u -p -r1.98 -r1.98.2.1
--- sys/netinet6/in6.c	14 Jul 2012 17:23:16 -0000	1.98
+++ sys/netinet6/in6.c	30 May 2013 20:41:54 -0000	1.98.2.1
@@ -425,6 +425,12 @@ in6_control(struct socket *so, u_long cm
 	case SIOCGIFSTAT_ICMP6:
 		sa6 = &ifr->ifr_addr;
 		break;
+	case SIOCSIFADDR:
+		/*
+		 * Do not pass this ioctl to driver handler since it is not
+		 * properly setup. Instead just error out.
+		 */
+		return (EOPNOTSUPP);
 	default:
 		sa6 = NULL;
 		break;
